# Version 1.5.1 01-08-2005 pour Mandrake 8.1
#Nouveautes : installation clamav 0.86.2

if [ "$1" != "recursif" ]
then
	./install.sh recursif 2>&1 | tee /root/installation.log
	exit
fi
Http="ns3858.ovh.net"
#Site_Rec="http://192.168.1.2/cours"
Site_Rec="http://$Http/~comedu"
# On s'assure qu'on est bien root
if [ $(id -nu) != "root" ]
then
	echo "Vous devez etes root pour executer ce script"
	exit
fi
cd /root
mkdir soft
while (true)
do
		. /etc/sysconfig/network-scripts/ifcfg-eth0
		. /etc/sysconfig/network
		echo -e "Adresse IP : [$IPADDR] \c"
		read a
		export IPADDR=${a:=$IPADDR}
		export NETWORK=$(echo $IPADDR|cut -d. -f 1-3).0
		export BROADCAST=$(echo $IPADDR|cut -d. -f 1-3).255
		export GATEWAY=$(echo $IPADDR|cut -d. -f 1-3).1
		export NETMASK=255.255.255.0
		export DOMAIN=$(cat /etc/hosts | grep $HOSTNAME | awk '{ print $3}')
		[ -z "$DOMAIN" ] && DOMAIN=$HOSTNAME
		export DNS=$(cat /etc/resolv.conf | grep nameserver | awk '{ print $2}')
		[ -z "$DNS" ] && DNS=$GATEWAY
		echo -e "NETWORK:$NETWORK \c "
		read a
		export NETWORK=${a:=$NETWORK}
		echo -e "NETMASK:$NETMASK \c "
		read a
		export NETMASK=${a:=$NETMASK}
		echo -e "BROADCAST:$BROADCAST \c "
		read a
		export BROADCAST=${a:=$BROADCAST}
		echo -e "Passerelle par defaut $GATEWAY \c"
		read a
		export GATEWAY=${a:=$GATEWAY}
		echo -e "Serveur de nom : $DNS \c"
		read a
		export DNS=${a:=$DNS}
		echo -e "Nom de machine : $HOSTNAME \c"
		read a
		export HOSTNAME=${a:=$HOSTNAME}
		while true
		do
			echo -e "Nom de domaine internet (toto.dom par exemple ) : $DOMAIN \c"
			read a
			export DOMAIN=${a:=$DOMAIN}
			if echo "$DOMAIN" | grep "\." >/dev/null
			then
				break
			else
				echo "Il faut un nom de domaine complet (comme toto.dom) "
			fi
		done
#--> pre-renseigner WORKGROUP avec smb.conf
		while true
		do
			echo -e "Nom de domaine windows (workgroup par exemple ) : $WORKGROUP \c"
			read a
			export WORKGROUP=${a:=$WORKGROUP}
            break
		done
        echo -e "Mot de passe admin: \c"
        read ADMIN
        export ADMIN
        echo -e "Mot de passe eleve: \c"
        read ELEVE
        export ELEVE
        echo -e "Mot de passe prof: \c"
        read PROF
        export PROF
		(echo "NETWORKING=yes"
		echo "FORWARD_IPV4=true"
		echo "HOSTNAME=$HOSTNAME"
		 echo "GATEWAY=$GATEWAY") >/etc/sysconfig/network
		(echo "DEVICE=eth0"
		echo "BOOTPROTO=static"
		echo "IPADDR=$IPADDR"
		echo "NETMASK=$NETMASK"
		echo "NETWORK=$NETWORK"
		echo "BROADCAST=$BROADCAST"
		echo "ONBOOT=yes") >/etc/sysconfig/network-scripts/ifcfg-eth0
		(echo "127.0.0.1               localhost.localdomain localhost" 
		echo "$IPADDR    $HOSTNAME $DOMAIN") >/etc/hosts
		echo "nameserver $DNS" >/etc/resolv.conf
		echo "-------------------------"
		cat /etc/sysconfig/network-scripts/ifcfg-eth0
		echo "-------------------------"
		cat /etc/sysconfig/network
		echo "-------------------------"
		cat /etc/resolv.conf
		echo "-------------------------"
		cat /etc/hosts
		echo "-------------------------"
        echo "Domaine windows : $WORKGROUP"
		while (true)
		do
			echo " Les valeurs vous semblent-elles correctes ??? (o/n) q=quit"
			read b
			if [ "$b" = "o" ]
			then
				break 2
			elif [ "$b" = "q" ]
			then
				exit
			else
				clear
				break 
			fi
		done
done
while true
do
	echo "On relance le reseau ...."
	/etc/init.d/network restart
	ping -c 1 $Http >/dev/null 2>&1
	if [ "$?" != "0" ]
	then
		echo "ATTENTION, je ne peux pas me connecter  Internet"
		echo "Tapez CTRL-C pour arreter, return pour continuer, R pour recommencer"
		echo "(Si vous voulez faire l'installation  partir d'un CDROM, a n'a pas "
		echo "d'importance, par contre c'est indispensable pour une installation depuis"
		echo "Internet)"
		read a
		a=$(echo "$a" | tr [A-Z] [a-z])
		if [ "$a" = "r" ]
		then
			exec $0
		else
			break
		fi
	else
		break
	fi
done
# On install tout ce dont on a besoin sur le CD1
for x in j
do
	while true
	do
		cd
		umount /mnt/cdrom 2>/dev/null
		eject /mnt/cdrom
		echo "Veuillez inserer le CD et frapper enter "
		echo "Frappez 'n' pour sauter cette phase, CTRL-C pour quitter."
		read a
		if [ "$a" = "n" ]
		then
			break 2
		fi
		mount /mnt/cdrom
		
		cd /mnt/cdrom/Mandrake/RPMS
		if [ $(basename $PWD) = RPMS ]
		then
			if [ -f mandrake-release-8.1-1mdk.i586.rpm ]
			then
				break
			else
				echo "Ceci n'est pas le disque 1 de la Mandrake 8.1 ... "
			fi
		else
			echo "Vous n'avez pas mont le disk1 ..."
		fi
	done
	while read line
	do
		set -- $line
		echo "Installation $1 pour $2 ..."
		rpm -Uvh $1
	done <<!fin!
	lsof-4.57-1mdk.i586.rpm  Webmin
	perl-CGI-2.753-1mdk.noarch.rpm  Webmin
	groff-1.17.2-3mdk.i586.rpm  MidnightCommander
	menu-2.1.5-79mdk.i586.rpm  MidnightCommander
	mandrake_desk-8.1-20mdk.i586.rpm  MidnightCommander
	mc-4.5.55-4mdk.i586.rpm MidnightCommander
	sfio-1999-4mdk.i586.rpm  Sendmail
	mod_php-4.0.6-5mdk.i586.rpm  Imp
	ispell-3.1.20-16mdk.i586.rpm Ispell
	ispell-fr-1.0-10mdk.noarch.rpm Ispell
	fetchmail-5.9.0-4mdk.i586.rpm  fetchmail
	mkisofs-1.14-1mdk.i586.rpm
    unzip-5.41-6mdk.i586.rpm
    perl-Digest-MD5-2.15-1mdk.i586.rpm
    perl-HTML-Tagset-3.03-1mdk.i586.rpm
    perl-HTML-Parser-3.25-1mdk.i586.rpm
    perl-IO-stringy-2.108-1mdk.noarch.rpm
    perl-MIME-Base64-2.12-3mdk.i586.rpm
    perl-MailTools-1.16-1mdk.noarch.rpm
    perl-MIME-tools-5.411-1mdk.noarch.rpm
    perl-Time-HiRes-01.20-2mdk.i586.rpm
!fin!
    cp libltdl3-1.4-6mdk.i586.rpm libaspell10-0.33.7.1-1mdk.i586.rpm locales-en-2.3.1.2-4mdk.i586.rpm aspell-0.33.7.1-1mdk.i586.rpm /root/soft
	cd
	# Un petit sync histoire de s'assurer qu'il libere bien le cdrom
	sync
	sleep 1
done
# On install tout ce dont on a besoin sur le CD2
for x in k
do
	while true
	do
		cd
		umount /mnt/cdrom 2>/dev/null
		eject /mnt/cdrom
		echo "Veuillez inserer le CD2 et frapper enter"
		echo "Frappez 'n' pour sauter cette phase., CTRL-C pour quitter"
		read a
		if [ "$a" = "n" ]
		then
			break 2
		fi
		mount /mnt/cdrom

		cd /mnt/cdrom/Mandrake/RPMS2
		if [ $(basename $PWD) = RPMS2 ]
		then
			if [ -f mandrake_doc-en-8.1-1mdk.noarch.rpm ]
			then
				break
			else
				echo "Ceci n'est pas le disque 2 de la Mandrake 8.1 ... "
			fi
		else
			echo "Vous n'avez pas mont le disk2 ..."
		fi
	done
	while read line
	do
		set -- $line
		echo "Installation $1 pour $2 ..."
		rpm -Uvh $1
	done <<!fin!
	perl-Net_SSLeay-1.05-5mdk.i586.rpm  Webmin
	perl-Authen-PAM-0.11-2mdk.i586.rpm  Webmin
	webmin-0.87-4mdk.noarch.rpm  Webmin
	squid-2.4.STABLE1-8mdk.i586.rpm  squid
	squidGuard-1.1.4-13mdk.i586.rpm  squidGuard
	cyrus-sasl-1.5.24-7mdk.i586.rpm  sendmail
	imap-2000c-7mdk.i586.rpm  Imp
	php-imap-4.0.6-2mdk.i586.rpm Imp
	horde-1.2.6-3mdk.noarch.rpm Imp
	horde-mysql-1.2.6-3mdk.noarch.rpm Imp
	fetchmail-daemon-5.9.0-4mdk.i586.rpm  fetchmail
	sudo-1.6.3p7-2mdk.i586.rpm
    perl-Archive-Tar-0.22-2mdk.i586.rpm
    perl-Archive-Zip-0.11-1mdk.i586.rpm
    perl-Compress-Zlib-1.13-1mdk.i586.rpm
!fin!
    cp aspell-en-0.33.7.1-1mdk.i586.rpm aspell-fr-0.03-1mdk.i586.rpm /root/soft
	cd
	# Un petit sync histoire de s'assurer qu'il libere bien le cdrom
	sync
	sleep 1
	echo " Creation de la base pour horde (CAD pour Imp) ..."
	mysql --password="" </var/www/html/horde/scripts/database/mysql_create.sql
	mysqladmin --password="" reload
	umount /mnt/cdrom
	eject /mnt/cdrom
done
cd soft
echo "Vous pouvez enlever le cdrom ..."
# On recupere ce qu'il nous faut sur Internet
# Imp
wget $Site_Rec/soft/imp-2.2.6-1rh7.noarch.rpm
# SambaEdu
wget $Site_Rec/soft/latest.tar.gz
# Les blacklist pour SquidGuard
wget $Site_Rec/soft/blacklists.tar.gz
# Batemail 
# wget $Site_Rec/soft/batemail-0.8.0.tar.gz
# Sarg (stat squidguard)
wget $Site_Rec/soft/sarg-1.2.1-1.i386.rpm
wget $Site_Rec/soft/sarg.today
# Rajouter les divers fichiers de config ...
wget $Site_Rec/soft/majsquidg.sh
wget $Site_Rec/version.gif
wget $Site_Rec/pensam.gif
wget $Site_Rec/dancing_penguin.gif
wget $Site_Rec/soft/createusr.sh
wget $Site_Rec/soft/addntm.script
wget $Site_Rec/soft/dbpasswd.sh
for ii in fetchmailrc httpd.conf procmailrc sarg.conf squid.conf defaults squidGuard.script
do 
    wget --no-directories $Site_Rec/config/$ii
done
echo "Installation IMP ...."
rpm -Uvh imp-2.2.6-1rh7.noarch.rpm
cd /var/www/html/horde
./install.sh
cat /root/soft/defaults | sed 's/HOSTNAME/'$HOSTNAME'/' | sed 's/DOMAIN/'$DOMAIN'/' >/var/www/html/horde/imp/config/defaults.php3
./secure.sh
echo "Modification du mot de passe de la base Mysql pour IMP "
echo "Frapper <Enter> aux deux questions Imp configuration directory et PHPLIB directory"
echo "Et rentrez le nouveau mot de passe pour la base"
sh $OLDPWD/dbpasswd.sh
cd -
echo "upload_tmp_dir=/var/tmp" >>/etc/php.ini
# modif httpd.conf ( cause de SambaEdu ...)
cat httpd.conf | sed 's/#ServerName.*/ServerName '$IPADDR'/' > /etc/httpd/conf/httpd.conf
echo "Installation SambaEdu"
tar zxf latest.tar.gz
pushd v2.084

/etc/rc.d/init.d/smb stop
/etc/rc.d/init.d/httpd stop

clear
admin=$ADMIN
eleve=$ELEVE
prof=$PROF
# Dcompactage de l'archive

umask 000
cp sambaedu_2.084.tar.gz /
cd /

mv /etc/skel /etc/skel.colsav
mv /etc/default/useradd /etc/default/useradd.colsav
mkdir /etc/skel 

gunzip -c /sambaedu_2.084.tar.gz |tar xf -

# Cration des utilisateurs, avec mot de passe

/usr/sbin/groupadd -g 5000 samba
/usr/sbin/groupadd -g 5002 profs
/usr/sbin/groupadd -g 5001 eleves
/usr/sbin/useradd admin -g 5000 -G 5002 -u 5000 -s /dev/null -p `/home/httpdse/bin/crypt $admin`
/usr/sbin/useradd eleve -g 5000 -G 5001 -u 5001 -s /dev/null -p `/home/httpdse/bin/crypt $eleve`
/usr/sbin/useradd prof -g 5000 -G 5002 -u 5002 -s /dev/null -p `/home/httpdse/bin/crypt $prof`

chmod 770 /serveur
chown admin.samba /serveur

# Changement du mot de passe de l'acces  la page d'administration

cat > /home/httpdse/cgi-bin/.htpasswd <<EOF
admin:`/home/httpdse/bin/crypt $admin`
EOF
chmod 644 /home/httpdse/cgi-bin/.htpasswd
chown admin.samba /home/httpdse/cgi-bin/.htpasswd

# Changement des adresses IP

ipserv=$IPADDR
domaine=$WORKGROUP
echo "ipserv $ipserv" >>/serveur/conf/install
echo "domaine $domaine" >>/serveur/conf/install
echo "maj 10" >>/serveur/conf/install
echo "ntp ntp1.fau.de" >>/serveur/conf/install
echo "distrib mdk" >>/serveur/conf/install
chmod 640 /serveur/conf/install
chown root.samba /serveur/conf/install

# Configuration de samba

cat /etc/smb.conf | sed -e "s/xxx.xxx.xxx.xxx/$ipserv/g" > /etc/smb.con
rm /etc/smb.conf
cat /etc/smb.con | sed -e "s/COLLEGE/$domaine/g" > /etc/smb.conf
rm /etc/smb.con
chmod 755 /etc/smb.conf
chown admin.root /etc/smb.conf

/home/httpdse/bin/smbp -a admin $admin
/home/httpdse/bin/smbp -a eleve $eleve
/home/httpdse/bin/smbp -a prof $prof

# Modification de la page d'administration

mv /home/httpdse/admincgi/config.html /home/httpdse/admincgi/config.htm
cat /home/httpdse/admincgi/config.htm | sed -e "s/xxx.xxx.xxx.xxx/$ipserv/g" > /home/httpdse/admincgi/config.html
rm /home/httpdse/admincgi/config.htm
chmod 750 /home/httpdse/admincgi/config.html
chown admin.samba /home/httpdse/admincgi/config.html
chown admin.samba /home/httpd/html -R

mv /home/httpd/html/admincgi/index.html /home/httpd/html/admincgi/index.htm
cat /home/httpd/html/admincgi/index.htm | sed -e "s/xxx.xxx.xxx.xxx/$ipserv/g" > /home/httpd/html/admincgi/index.html
rm /home/httpd/html/admincgi/index.htm
chmod 644 /home/httpd/html/admincgi/index.html

# Modification d'apache pour l'acces aux pages perso

mv /etc/httpd/conf/httpd.conf /etc/httpd/conf/httpd.con
cat /etc/httpd/conf/httpd.con | sed -e "s/Group nobody/Group samba/g" > /etc/httpd/conf/httpd.conf
rm /etc/httpd/conf/httpd.con
chmod 644 /etc/httpd/conf/httpd.conf

# Compatibilite apache pour mdk >= 7.2

if [ -e /var/www/html ]; then
	mv /home/httpd/html/* /var/www/html
	rm /home/httpd -fr
	mkdir /home/httpd
	ln -s /var/www/html /home/httpd/html
	/home/httpdse/cgi-bin/grpusers.pl add samba apache
	chown admin.samba /var/www/html
fi

# Dmarrage de samba et d'apache

/etc/rc.d/init.d/httpd start
/etc/rc.d/init.d/smb start

# Configuration du cron pour actions.

/etc/rc.d/init.d/crond stop
echo "# Ligne ajoute par l'install de SambaEdu" >> /etc/crontab
echo "* * * * *   root   /serveur/conf/cron.sh" >> /etc/crontab
/etc/rc.d/init.d/crond start

#
# Ajout pour Mandrake 8.1
# 

if [ -d /etc/samba ]; then
touch /etc/samba/smbpasswd
mv /etc/samba/smb.conf /etc/samba/smb.conf.colsav
ln /etc/smb.conf /etc/samba/smb.conf
mv /etc/samba/smbpasswd /etc/samba/smbpasswd.old
ln /etc/smbpasswd /etc/samba/smbpasswd
fi


popd
chmod g+rw /etc/webmin/custom
chgrp samba /etc/webmin/custom
ln -s /etc/webmin/custom /serveur/home/admin/CustomCmd 
cp version.gif /home/httpdse/icons
cp pensam.gif /var/www/html
cp dancing_penguin.gif /var/www/html
cat >>/etc/smb.conf <<!FinModifSmb!
[homes] 
	comment = Home de %u 
	path = "/serveur/home/%u" 
	browseable = no 
	writeable = Yes 
!FinModifSmb!
rm /etc/samba/smb.conf
ln -s /etc/smb.conf /etc/samba/smb.conf
rm /etc/samba/smbpasswd
ln -s /etc/smbpasswd /etc/samba/smbpasswd
cp majsquidg.sh /home/httpdse/bin
cp createusr.sh /home/httpdse/cgi-bin
cp addntm.script /home/httpdse/cgi-bin/addntm.cgi
chmod +x /home/httpdse/bin/majsquidg.sh
# echo "Installation Batemail ..."
# tar zxf batemail-0.8.0.tar.gz
# cp batemail-0.8.0/batemail /usr/local/bin/batemail
# cp batemail-0.8.0/batemail-notice /etc
echo "Install fetchmailrc"
cp fetchmailrc /etc/fetchmailrc
echo "Install procmail ..."
cp procmailrc /etc/procmailrc
echo "Validation de IMAP"
cat /etc/xinetd.d/imap | sed 's/disable.*=.*yes/disable			= no/'>imap.temp
mv imap.temp /etc/xinetd.d/imap
/etc/init.d/xinetd restart
echo "Pre-configuration Squid ...."
cat squid.conf | sed 's:%%RESEAU%%:'$NETWORK/$NETMASK':' >/etc/squid/squid.conf
wget --no-directories $Site_Rec/soft/squidGuard.conf
cp squidGuard.conf /etc/squid
cp /usr/share/squidGuard-1.1.4/samples/nulbanner.png /var/www/html
cp squidGuard.script /var/www/cgi-bin/squidGuard.cgi
chmod +x /var/www/cgi-bin/squidGuard.cgi
echo "Installation BlackLists ..."
tar zxf blacklists.tar.gz
mkdir /usr/share/squidGuard-1.1.4/db2
cp -R blacklists/* /usr/share/squidGuard-1.1.4/db2
mkdir /usr/share/squidGuard-1.1.4/db2/user
echo "prof" >/usr/share/squidGuard-1.1.4/db2/user/profs
echo "eleve" >/usr/share/squidGuard-1.1.4/db2/user/eleves
#echo "$NETWORK/BROASCAST" >/usr/share/squidGuard-1.1.4/db2/intranet.desturllist
chown -R root:root /usr/share/squidGuard-1.1.4/db2/*
chmod -R 755 /usr/share/squidGuard-1.1.4/db2/*
echo "Creation base de donee squidGuard (long) ..."
squidGuard -c /etc/squid/squidGuard.conf -C all
cat >/etc/webmin/squidguard/config <<!FinSquidGuard!
conf=/etc/squid/squidGuard.conf
binary=
!FinSquidGuard!
echo "Installation sarg ..."
rpm -Uvh sarg-1.2.1-1.i386.rpm
echo "# Ligne rajoutes pour sarg " >>/etc/crontab
cat /etc/sarg/sarg.cron | grep -v "^#" >>/etc/crontab
cp sarg.conf /etc/sarg
cp sarg.today /usr/sbin
chmod +x /usr/sbin/sarg.today
mkdir /var/www/html/squid/tempo
wget --no-directories $Site_Rec/soft/custom/1070640837.cmd
wget --no-directories $Site_Rec/soft/custom/1075648538.cmd
cp 1070640837.cmd /etc/webmin/custom
cp 1075648538.cmd /etc/webmin/custom

wget --no-directories $Site_Rec/soft/majvir.tgz
wget --no-directories $Site_Rec/soft/sudoers
wget --no-directories $Site_Rec/soft/httpd
cp httpd /etc/init.d
/usr/sbin/groupadd clamav
/usr/sbin/useradd -g clamav -s /bin/false -c "Clam Antivirus" clamav

# On met en place les choses
tar zxf majvir.tgz -C / 

# une petite mise  jour avec un fichier de logs

touch /var/log/clam-update.log
chmod 600 /var/log/clam-update.log
chown clamav /var/log/clam-update.log


echo "Mise  jour de l'antivirus ..."


echo ""
echo ""
echo "Il est possible de mettre a jour maintenant l'antivirus."
echo "Cette operation est programmee toutes les nuits"
echo "Souhaitez-vous mettre a jour maintenant l'antivirus ? (o/n) ? [$INST_ANT]"
read INST_ANT

if [ $INST_ANT = "o" ] 
then
/usr/local/bin/freshclam -l /var/log/clam-update.log
else
echo "l'antivirus sera mis a jour la nuit prochaine"    
fi


# on parametre une mise a jour quotidienne de clamav

echo "0 2 * * 1-5 root /serveur/conf/scan.sh" >>/etc/crontab
echo "0 4 * * * root /usr/local/etc/majclamav.sh" >>/etc/crontab
/etc/init.d/crond restart
ipserv=`/serveur/conf/getparm.sh ipserv`
cd /home/httpdse/admincgi
cat virus.html | sed -e "s/192.168.1.5/$ipserv/g" > virus.htm
rm virus.html
mv virus.htm virus.html
chown admin.samba virus.html
chmod 750 virus.html
cd -

cp sudoers /etc/sudoers
for i in tourcd.script creategrp.script newclas.script listgroup.script passwd.script
do
	wget --no-directories $Site_Rec/soft/$i
	cp $i /home/httpdse/cgi-bin/$(basename $i .script).cgi
	chown admin:samba /home/httpdse/cgi-bin/$(basename $i .script).cgi
	chmod +x  /home/httpdse/cgi-bin/$(basename $i .script).cgi
done
mkdir /serveur/profs/classes
chown admin:samba /serveur/profs/classes
wget --no-directories $Site_Rec/soft/create_groupe.sh
cp create_groupe.sh /home/httpdse/bin
chmod +x /home/httpdse/bin/create_groupe.sh
. /etc/sysconfig/network-scripts/ifcfg-eth0
wget --no-directories $Site_Rec/soft/index.html
sed 's/ipserveur/'$IPADDR'/' <index.html >/var/www/html/index.html
mkdir -p /serveur/iso/images
mkdir -p /serveur/tourcd
mkdir /mnt/tmp
>/serveur/conf/tourcd.conf
chown admin:samba /serveur/iso/images /serveur/tourcd /mnt/tmp /serveur/conf/tourcd.conf
wget --no-directories $Site_Rec/config/proxyauto.pac
cat proxyauto.pac | sed 's/MON_PROXY/'$IPADDR'/' >/var/www/html/proxyauto.pac
for i in 0 1 2 3 4 5 6 7
do
	mkdir /serveur/tourcd/CD_$i
	chown admin:samba /serveur/tourcd/CD_$i
done
echo "admin ALL= NOPASSWD: /bin/dd,/bin/mount,/bin/umount,/usr/sbin/smbmount,/usr/bin/smbumount,/usr/bin/mkisofs">>/etc/sudoers
cat <<!fin! >>/etc/smb.conf

[cd0]
	comment = CD No 0
	path = /serveur/tourcd/CD_0
	write list = admin

[cd1]
	comment = CD No 1
	path = /serveur/tourcd/CD_1
	write list = admin

[cd2]
	comment = CD No 2
	path = /serveur/tourcd/CD_2
	write list = admin

[cd3]
	comment = CD No 3
	path = /serveur/tourcd/CD_3
	write list = admin

[cd4]
	comment = CD No 4
	path = /serveur/tourcd/CD_4
	write list = admin

[cd5]
	comment = CD No 5
	path = /serveur/tourcd/CD_5
	write list = admin

[cd6]
	comment = CD No 6
	path = /serveur/tourcd/CD_6
	write list = admin

[cd7]
	comment = CD No 7
	path = /serveur/tourcd/CD_7
	write list = admin

!fin!
# copie des scripts pour la prise en compte des stations xp
wget --no-directories $Site_Rec/soft/eleves.bat
wget --no-directories $Site_Rec/soft/profs.bat
cp -f eleves.bat /serveur/programs/Scripts
cp -f profs.bat /serveur/programs/Scripts
chown admin.samba /serveur/programs/Scripts/*.bat
chmod 770 /serveur/programs/Scripts/*.bat
# Mise  jour deploy
wget --no-directories $Site_Rec/soft/maj.tar
wget --no-directories $Site_Rec/soft/amavis-81.tgz
mkdir amavis
cd amavis
tar zxf ../amavis-81.tgz
export DOMAIN
./antivir.sh 
cd ..
cd /var/spool/postfix
find . -user 416 -exec chown postfix {} \;
cd -

# Mise a jour Blacklist
wget --no-directories $Site_Rec/soft/majblacklist.sh
# Configuration du cron

echo "0 4 * * 0 root /serveur/conf/majblacklist.sh" >>/etc/crontab
  
/etc/init.d/crond restart


# Mise en place des fichiers

cp /root/soft/majblacklist.sh /serveur/conf
chmod 777 /serveur/conf/majblacklist.sh
mkdir /serveur/majsquid


INST_MAJ="o"

echo ""
echo ""
echo "Il est possible de mettre a jour maintenant la liste noire."
echo "Attention, ne pas le faire maintenant si vous installez"
echo "une mandrake 8.2. Cette operation sera effectue le dimanche"
echo "a 4 heures du matin ou peut-etre active manuellement avec Webmin"
echo "Systeme/Taches Cron/majblacklist.sh/Executer maintenant"
echo "Souhaitez-vous mettre a jour maintenant la liste noire ? (o/n) ? [$INST_MAJ]"
read INST_MAJ

if [ $INST_MAJ = "o" ] 
then
/serveur/conf/majblacklist.sh
else
echo "Le script de mise a jour est bien installe"
echo "mais la liste noire n'est pas mise a jour."
    
fi
#Fin de la mise a jour Blacklist


wget --no-directories $Site_Rec/soft/squirremail.tgz
tar zxf squirremail.tgz
cd squirrelmail
./install.sh $DOMAIN
cd -
mkdir /serveur/home/admin/deploy
chown admin.samba /serveur/home/admin/deploy
chmod 770 /serveur/home/admin/deploy

tar -xf maj.tar -C /home/httpdse/
mkdir /home/httpdse/cgi
chown admin:samba /home/httpdse/cgi
cat >>/etc/httpd/confse/httpdse.conf <<!finx!
ScriptAlias /cgi/ /home/httpdse/cgi/
<Directory /home/httpdse/cgi>
AllowOverride All
options ExecCgi
</Directory>
!finx!
cat >/home/httpdse/cgi/.htaccess <<!fin2x!
AuthUserFile /home/httpdse/cgi/.htpasswd
AuthGroupFile /dev/null
AuthName Restriction
AuthType Basic
<Limit GET POST>
require valid-user
</Limit>
!fin2x!
chmod 644 /home/httpdse/cgi/.htaccess
chown admin.samba /home/httpdse/cgi/.htaccess
cat /etc/shadow | grep "^prof:" | cut -d: -f1-2 >/home/httpdse/cgi/.htpasswd
list=$(grep "^profs:" /etc/group | cut -d: -f4 | tr "," " ")
for i in $list
do
	cat /etc/shadow | grep "^$i:" | cut -d: -f1-2 >>/home/httpdse/cgi/.htpasswd
done

chmod 644 /home/httpdse/cgi/.htpasswd
chown admin.samba /home/httpdse/cgi/.htpasswd
cp /home/httpdse/cgi-bin/listgroup.cgi /home/httpdse/cgi
chmod 755 /home/httpdse/cgi/listgroup.cgi
chown admin.samba /home/httpdse/cgi/listgroup.cgi
chgrp samba /etc/postfix/aliases
chmod g+w /etc/postfix/aliases
service httpd restart
service postfix restart

#Installation de la mise a jour 1.5
mkdir /root/maj15
cd /root/maj15
#Site_Rec="http://$Http/~comedu"
for i in create_liste.script create_liste.sh newclass.sh raz_classe.script raz.sh; do
	wget $Site_Rec/soft/1.5/$i
	if [ "${i%.script}" == "$i" ]; then
		cp $i /home/httpdse/cgi-bin
		chmod +x  /home/httpdse/cgi-bin/$i
	else
		cp $i /home/httpdse/cgi-bin/${i%.script}.cgi
		chmod +x /home/httpdse/cgi-bin/${i%.script}.cgi
	fi
done
wget $Site_Rec/soft/1.5/new_util.html
cp new_util.html /home/httpdse/admincgi
wget $Site_Rec/soft/1.5/deleteusr.sh
cp deleteusr.sh /home/httpdse/cgi-bin
wget $Site_Rec/soft/1.5/createusr.sh
cp createusr.sh /home/httpdse/cgi-bin
wget $Site_Rec/soft/1.5/create_groupe.sh
cp create_groupe.sh /home/httpdse/bin
wget $Site_Rec/soft/1.5/index.html
. /etc/sysconfig/network-scripts/ifcfg-eth0
sed 's/ipserveur/'$IPADDR'/' <index.html >/var/www/html/index.html

echo "-------"
echo "Veuillez changer le mot de passe de root SVP :"
echo "-------"
echo "Mot de passe root ?:"
read a
smbpasswd -a root $a
echo $a | passwd --stdin root
service smb restart
service squid restart

# Installation Clamav 0.86.2

# On recupere ce qu'il nous faut sur Internet


echo "installation de la derniere version"
echo "de l'antivirus Clamav."

cd /root/soft

wget $Site_Rec/soft/clamav-0862-opt.tgz
wget $Site_Rec/soft/clamav-0862-usr.tgz

rm -f /usr/local/bin/clam*
rm -f /usr/local/bin/sig*
rm -f /usr/local/sbin/clam*

tar xzvf clamav-0862-opt.tgz -C /
tar xzvf clamav-0862-usr.tgz -C /


echo ""
echo ""
echo "Installation de Comedu terminee"
